
local function Crossair(panel)

	local Crossair = {Options = {}, CVars = {}, Label = "#Presets", MenuButton = "1", Folder = "Leeroy`s Weapons"}

	Crossair.Options["#Default"] = {	
	lee_crosshair_r =	"255",
	lee_crosshair_g =	"255",
	lee_crosshair_b =	"255",
	lee_crosshair_a =	"255",
	lee_crosshair_le =	"10",
	lee_crosshair_t =	"1",
	lee_crosshair_scale = "2.5",
	lee_crosshair_scalespeed = "4",
	lee_crosshair_maxscale = "6",
    lee_crosshair_fr =	"0",
	lee_crosshair_fa =	"255",
	lee_crosshair_fg =	"0",
	lee_crosshair_fb =	"0",
	lee_crosshair_x =	"0",
	lee_crosshair_y =	"0",
	lee_crosshair_h =	"-2",
	lee_crosshair_w =	"-2",
	lee_crosshair_fh =	"-5",
	lee_crosshair_smooth =	"0.05",
	lee_crosshair_lengthbyscale =	"1",
	lee_crosshair_fw =	"-5"}
							
    Crossair.Options["#Old Style"] = {	
    lee_crosshair_h =	"-2",
    lee_crosshair_w =	"-2",
	lee_crosshair_fh =	"-20",
	lee_crosshair_fw =	"-20"}
							   
	Crossair.Options["#Normal"] = {	
	lee_crosshair_h =	"-2",
	lee_crosshair_w =	"-2",
	lee_crosshair_fh =	"-0",
	lee_crosshair_fw =	"0",
	lee_crosshair_fa =	"255"}
							
	Crossair.CVars = { 
	"lee_crosshair_r",
	"lee_crosshair_g",
	"lee_crosshair_b",
	"lee_crosshair_a",
	"lee_crosshair_l",
	"lee_crosshair_smooth",
	"lee_crosshair_lengthbyscale",
    "lee_crosshair_t"}
						
	panel:AddControl("ComboBox", Crossair)

	panel:AddControl("CheckBox", {
		Label = "Enable Crosshair",
		Command = "lee_crosshair_t",
	})
	
	panel:AddControl("CheckBox", {
		Label = "Lenght by scale",
		Command = "lee_crosshair_lengthbyscale",
	})
	
	panel:AddControl("Color", {
		Label 	= "Crosshair Color",
		Red 		= "lee_crosshair_r",
		Green 	= "lee_crosshair_g",
		Blue 		= "lee_crosshair_b",
		Alpha 	= "lee_crosshair_a",
	})

	panel:AddControl("Color", {
		Label 	= "FontCrosshair Color",
		Red 		= "lee_crosshair_fr",
		Green 	= "lee_crosshair_fg",
		Blue 		= "lee_crosshair_fb",
		Alpha 	= "lee_crosshair_fa",
	})
	
	panel:AddControl("Slider", {
		Label 	= "Crosshair Lenght",
		Command 	= "lee_crosshair_le",
		Type 		= "Integer",
		Min 		= "0",
		Max 		= "50",
	})
	
	panel:AddControl("Slider", {
		Label 	= "Crosshair Scale",
		Command 	= "lee_crosshair_scale",
		Type 		= "Float",
		Min 		= "0",
		Max 		= "20",
	})
	
	panel:AddControl("Slider", {
		Label 	= "Crosshair y",
		Command 	= "lee_crosshair_y",
		Type 		= "float",
		Min 		= "-20",
		Max 		= "20",
	})
	
	panel:AddControl("Slider", {
		Label 	= "Crosshair x",
		Command 	= "lee_crosshair_x",
		Type 		= "float",
		Min 		= "-20",
		Max 		= "20",
	})
	
	panel:AddControl("Slider", {
		Label 	= "Crosshair smooth",
		Command 	= "lee_crosshair_smooth",
		Type 		= "float",
		Min 		= "0.001",
		Max 		= "1",
	})
	
	panel:AddControl("Slider", {
		Label 	= "Crosshair Max Scale",
		Command 	= "lee_crosshair_maxscale",
		Type 		= "Integer",
		Min 		= "0",
		Max 		= "20",
	})
	
	panel:AddControl("Slider", {
		Label 	= "Crosshair Scale Speed",
		Command 	= "lee_crosshair_scalespeed",
		Type 		= "Integer",
		Min 		= "1",
		Max 		= "10",
	})
	
    panel:AddControl("Slider", {
		Label 	= "FontCrosshair Witdh",
		Command 	= "lee_crosshair_fw",
		Type 		= "Integer",
		Min 		= "-20",
		Max 		= "20",
	})
	
	panel:AddControl("Slider", {
		Label 	= "FontCrosshair Height",
		Command 	= "lee_crosshair_fh",
		Type 		= "Integer",
		Min 		= "-20",
		Max 		= "20",
	})
	
	panel:AddControl("Slider", {
		Label 	= "Crosshair Witdh",
		Command 	= "lee_crosshair_w",
		Type 		= "Integer",
		Min 		= "-20",
		Max 		= "20",
	})
	
	panel:AddControl("Slider", {
		Label 	= "Crosshair Height",
		Command 	= "lee_crosshair_h",
		Type 		= "Integer",
		Min 		= "-20",
		Max 		= "20",
	})
	
	-------------------------------------
	
	
end

local function Weapons(panel)
	
	local ComboBoxCont = {Options = {}, CVars = {}, Label = "#Presets", MenuButton = "1", Folder = "Leeroy`s Weapons"}

	ComboBoxCont.Options["#Default"] = {	
	Lee_WeaponNewOrigin = "1",
	Lee_WeaponNewAim = "0",
	Lee_WeaponNewAimAutoCenter = "1",
	lee_IronBlur = "1",
	Lee_WeaponsSpeed = "1",
	Lee_WeaponRecoilMul = "1",
	Lee_WeaponDamageMul = "1",
	Lee_WeaponNewAimSmooth = "5",
	Lee_WeaponNewAimMaxWidht = "10",
	Lee_WeaponInfiniteAmmo = "0",
	Lee_WeaponShakeMul = "5",
	Lee_WeaponHitEffect = "0",
	Lee_WeaponViewKick = "1",
	Lee_WeaponFOV = "62",
	Lee_WeaponRealTimePos =	"0"}
							
	ComboBoxCont.CVars = { 
	"Lee_WeaponNewOrigin",
	"Lee_WeaponNewAim",
	"Lee_WeaponNewAimAutoCenter",
	"lee_IronBlur",
	"Lee_WeaponsSpeed",
	"Lee_WeaponDamageMul",
	"Lee_WeaponRecoilMul",
	"Lee_WeaponNewAimSmooth",
	"Lee_WeaponNewAimMaxWidht",
	"Lee_WeaponInfiniteAmmo",
	"Lee_WeaponShakeMul",
	"Lee_WeaponFOV",
	"Lee_WeaponHitEffect",
	"Lee_WeaponViewKick",
	"Lee_WeaponRealTimePos"}
						
	panel:AddControl("ComboBox", ComboBoxCont)
	
	panel:AddControl("CheckBox", {
		Label = "New weapons pos.",
		Command = "Lee_WeaponNewOrigin",
	})
	
	panel:AddControl("CheckBox", {
		Label = "Kit effect.",
		Command = "Lee_WeaponHitEffect",
	})
	
	panel:AddControl("CheckBox", {
		Label = "View kick.",
		Command = "Lee_WeaponViewKick",
	})
	
	panel:AddControl("CheckBox", {
		Label = "UnCenter aim.",
		Command = "Lee_WeaponNewAim",
	})
	
	panel:AddControl("CheckBox", {
		Label = "Infinite Ammo",
		Command = "Lee_WeaponInfiniteAmmo",
	})
	
	panel:AddControl("CheckBox", {
		Label = "Auto Center.",
		Command = "Lee_WeaponNewAimAutoCenter",
	})
	
	panel:AddControl("CheckBox", {
		Label = "View model real time.",
		Command = "Lee_WeaponRealTimePos",
	})
	
	panel:AddControl("CheckBox", {
		Label = "Iron Blur",
		Command = "lee_IronBlur",
	})
	
	panel:AddControl("Slider", {
		Label 	= "New aim max widht.",
		Command 	= "Lee_WeaponNewAimMaxWidht",
		Type 		= "Integer",
		Min 		= "0",
		Max 		= "20",
	})
	
	panel:AddControl("Slider", {
		Label 	= "View Model FOV",
		Command 	= "Lee_WeaponFOV",
		Type 		= "Integer",
		Min 		= "0",
		Max 		= "100",
	})
	
	panel:AddControl("Slider", {
		Label 	= "New aim smooth.",
		Command 	= "Lee_WeaponNewAimSmooth",
		Type 		= "Integer",
		Min 		= "0",
		Max 		= "20",
	})
	
	panel:AddControl("Slider", {
		Label 	= "Weapons Speed.",
		Command 	= "Lee_WeaponsSpeed",
		Type 		= "Float",
		Min 		= "0",
		Max 		= "20",
	})
	
	panel:AddControl("Slider", {
		Label 	= "Damage Mul.",
		Command 	= "Lee_WeaponDamageMul",
		Type 		= "Float",
		Min 		= "0",
		Max 		= "20",
	})
	
	panel:AddControl("Slider", {
		Label 	= "Recoil Mul.",
		Command 	= "Lee_WeaponRecoilMul",
		Type 		= "Integer",
		Min 		= "0",
		Max 		= "20",
	})
	
	panel:AddControl("Slider", {
		Label 	= "Shake Mul.",
		Command 	= "Lee_WeaponShakeMul",
		Type 		= "Integer",
		Min 		= "0",
		Max 		= "20",
	})
	
end

function WeaponsTool()

	spawnmenu.AddToolMenuOption("Options", "Leeroy`s Weapons", "Crossair", "Crossair", "", "", Crossair)
	spawnmenu.AddToolMenuOption("Options", "Leeroy`s Weapons", "Weapons", "Weapons", "", "", Weapons)
end
hook.Add("PopulateToolMenu", "WeaponsTool", WeaponsTool)